Open CASCADE Technology: StepRepr_PropertyDefinitionRepresentation Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepRepr_PropertyDefinitionRepresentation Class Reference

Representation of STEP entity PropertyDefinitionRepresentation. More...

`#include <StepRepr_PropertyDefinitionRepresentation.hxx>`

Inheritance diagram for StepRepr_PropertyDefinitionRepresentation:
[legend]

## Public Member Functions
| StepRepr_PropertyDefinitionRepresentation ()
| Empty constructor. More...
void | Init (const StepRepr_RepresentedDefinition &aDefinition, const Handle< StepRepr_Representation > &aUsedRepresentation)
| Initialize all fields (own and inherited) More...
StepRepr_RepresentedDefinition | Definition () const
| Returns field Definition. More...
void | SetDefinition (const StepRepr_RepresentedDefinition &Definition)
| Set field Definition. More...
Handle< StepRepr_Representation > | UsedRepresentation () const
| Returns field UsedRepresentation. More...
void | SetUsedRepresentation (const Handle< StepRepr_Representation > &UsedRepresentation)
| Set field UsedRepresentation. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity PropertyDefinitionRepresentation.

## Constructor & Destructor Documentation

StepRepr_PropertyDefinitionRepresentation::StepRepr_PropertyDefinitionRepresentation | ( |  | ) |

Empty constructor.

## Member Function Documentation

StepRepr_RepresentedDefinition StepRepr_PropertyDefinitionRepresentation::Definition | ( |  | ) | const

Returns field Definition.

void StepRepr_PropertyDefinitionRepresentation::Init | ( | const StepRepr_RepresentedDefinition & | aDefinition,
|  | const Handle< StepRepr_Representation > & | aUsedRepresentation
| ) |  |

Initialize all fields (own and inherited)

void StepRepr_PropertyDefinitionRepresentation::SetDefinition | ( | const StepRepr_RepresentedDefinition & | Definition | ) |

Set field Definition.

void StepRepr_PropertyDefinitionRepresentation::SetUsedRepresentation | ( | const Handle< StepRepr_Representation > & | UsedRepresentation | ) |

Set field UsedRepresentation.

Handle< StepRepr_Representation > StepRepr_PropertyDefinitionRepresentation::UsedRepresentation | ( |  | ) | const

Returns field UsedRepresentation.

The documentation for this class was generated from the following file:

- StepRepr_PropertyDefinitionRepresentation.hxx